#
# spec file for package servicelog
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           servicelog
Version:        1.1.16
Release:        150400.1.4
Summary:        Servicelog Tools
License:        GPL-2.0-only
Group:          System/Management
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  librtas-devel
BuildRequires:  libservicelog-devel
BuildRequires:  sqlite3-devel
URL:            https://github.com/power-ras/servicelog/
Source0:        https://github.com/power-ras/servicelog/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
ExclusiveArch:  ppc ppc64 ppc64le

%description
Command-line interfaces for viewing and manipulating the contents of
the servicelog database.  Servicelog contains entries that are useful
for performing system service operations, and for providing a history
of service operations that have been performed on the system.



Authors:
--------
    Mike Strosaker <strosake@austin.ibm.com>
    Nathan Fontenot <nfont@austin.ibm.com>

%prep
%setup -q

%build
autoreconf -fvi
%configure
%{__make} %{?_smp_mflags}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%if %{undefined license}
%define license %doc
%endif

%files
%license COPYING
%doc README
%{_bindir}/servicelog
%{_bindir}/servicelog_notify
%{_bindir}/log_repair_action
%{_bindir}/servicelog_manage
%{_bindir}/v1_servicelog
%{_bindir}/v29_servicelog
%{_sbindir}/slog_common_event
%{_mandir}/man*/*

%changelog
* Fri Oct  1 2021 msuchanek@suse.com
- Update to version 1.1.16 (jsc#SLE-18190).
- Update project URL
- Clean up spec file
* Thu Sep 26 2019 josef.moellers@suse.com
- version update to 1.1.15
  - Code cleanup, minor bug fixes
  [jsc#SLE-8266, bsc#1152675]
* Tue Mar 22 2016 jloeser@suse.com
- version update to 1.1.14 (fate#319555, fate#322224)
  - see servicelog-1.1.14/ChangeLog for changes
* Thu Sep  4 2014 jloeser@suse.com
- version update to 1.1.13 (BNC#894857)
  - Grant permission to link with librtas library
  - Fixed couple of issues in build tool
- removed patches:
  * servicelog.grant_permission_to_link_with_librtas_library.patch
* Wed Apr 30 2014 jloeser@suse.com
- license amendment needs to be added to servicelog (BNC#875778)
  new patch:
    servicelog.grant_permission_to_link_with_librtas_library.patch
* Mon Mar 10 2014 jloeser@suse.com
- version update to 1.1.12 (BNC#867347, FATE#315457)
  No upstream changelog provided
* Sun Jan 19 2014 jloeser@suse.com
- release update to 1.1.11-3 (FATE#315457)
  log_repair_action : usage message format fix
  servicelog_notify : validate command line arguments
  Minor fix to man pages
  Spec file cleanup
* Tue Dec 10 2013 dvaleev@suse.com
- enable ppc64le
* Wed Dec  5 2012 dvaleev@suse.com
- update to 1.1.11
  upstream changelog:
  * servicelog_manage : resurrecting the --clean option
  * Minor changes
- reenable as-needed
- don't run autoreconf
- remove automake, autoconf, libtool from BuildRequires
* Mon Apr 23 2012 vdziewiecki@suse.com
-update to 1.1.10
  Resurrected servicelog_manage(8) man page (LTC bugzilla #70852).  Major
  fixups to the other man pages (#70853) and to servicelog_notify.
* Mon Feb  6 2012 dvaleev@suse.com
- add autoconf, libtool and automake to BuildRequires
* Wed Nov  2 2011 dvaleev@suse.com
- update to 1.1.9
  new binaries servicelog_manage, v1_servicelog, v29_servicelog
- librtas-devel and sqlite3-devel are required for building
- ExclusiveArch
* Sun Oct 31 2010 jengelh@medozas.de
- Use %%_smp_mflags
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Thu Sep 11 2008 olh@suse.de
- fix typo in defattr line
* Wed Sep 10 2008 olh@suse.de
- new servicelog 1.0.1 package (bnc#417533)
